package requestmapping

import (
	"cron_admin/app/constants/common"
	"cron_admin/app/http/entities"
	"cron_admin/app/http/entities/backend"
)

var BackendRequestMap = map[string]func() interface{}{

	common.ADMIN_OAUTH_V1 + "/user/list": func() interface{} {
		return new(backend.UserListRequest)
	},
	common.ADMIN_OAUTH_V1 + "/user/add": func() interface{} {
		return new(backend.UserAddRequest)
	},
	common.ADMIN_OAUTH_V1 + "/user/edit": func() interface{} {
		return new(backend.UserEditRequest)
	},
	common.ADMIN_OAUTH_V1 + "/user/del": func() interface{} {
		return new(backend.UserDeleteRequest)
	},

	common.ADMIN_OAUTH_V1 + "/sql/list": func() interface{} { return new(backend.DbListRequest) },
	common.ADMIN_OAUTH_V1 + "/sql/add":  func() interface{} { return new(backend.DbAddRequest) },
	common.ADMIN_OAUTH_V1 + "/sql/edit": func() interface{} { return new(backend.DbEditRequest) },
	common.ADMIN_OAUTH_V1 + "/sql/del":  func() interface{} { return new(backend.DbDeleteRequest) },

	// 消息渠道
	common.ADMIN_OAUTH_V1 + "/channel/create": func() interface{} { return new(backend.ReportChannelCreateRequest) },
	common.ADMIN_OAUTH_V1 + "/channel/list":   func() interface{} { return new(backend.ReportChannelListRequest) },
	common.ADMIN_OAUTH_V1 + "/channel/update": func() interface{} { return new(backend.ReportChannelUpdateRequest) },
	common.ADMIN_OAUTH_V1 + "/channel/delete": func() interface{} { return new(entities.IdRequest) },

	//	日志
	common.ADMIN_OAUTH_V1 + "/log/cmd/list": func() interface{} { return new(backend.CronFuncLogsListRequest) },
	common.ADMIN_OAUTH_V1 + "/log/mes/list": func() interface{} { return new(backend.CronReportLogsListRequest) },

	//任务
	common.ADMIN_OAUTH_V1 + "/cmd/list":  func() interface{} { return new(backend.CmdListRequest) },
	common.ADMIN_OAUTH_V1 + "/cmd/add":   func() interface{} { return new(backend.CmdAddRequest) },
	common.ADMIN_OAUTH_V1 + "/cmd/edit":  func() interface{} { return new(backend.CmdEditRequest) },
	common.ADMIN_OAUTH_V1 + "/cmd/del":   func() interface{} { return new(backend.CmdDeleteRequest) },
	common.ADMIN_OAUTH_V1 + "/cmd/start": func() interface{} { return new(backend.CmdStartRequest) },
	common.ADMIN_OAUTH_V1 + "/cmd/stop":  func() interface{} { return new(backend.CmdStopRequest) },
}
